curl --request GET \
--url https://api.hel.io/v1/transactions/deposit/customer/{depositCustomerToken}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/transactions/deposit/customer/{depositCustomerToken}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/transactions/deposit/customer/{depositCustomerToken}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "6900a6c3165d5f39c92828d1",
"fee": "120000",
"createdAt": "2025-10-28T11:19:31.812Z",
"paymentType": "DEPOSIT",
"deposit": {
"id": "6900a5e3eaacfdbd980fd9fe",
"description": "",
"name": "deposittest",
"platform": "HELIO",
"createdAt": "2025-10-28T11:15:47.789Z",
"updatedAt": "2025-10-28T11:15:47.789Z",
"currencies": [
{
"id": "63430c8348c610068bcdc482",
"name": "USD Coin",
"decimals": 6,
"order": 100,
"mintAddress": "4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
],
"company": {
"id": "667c3e5bc3d87bccd2035dbe",
"name": "",
"email": "",
"websiteUrl": "",
"address": "",
"phoneNumber": "",
"escrowFunds": false,
"twitterConfirmed": false,
"kycVerified": false,
"kybVerified": true,
"customTheme": {
"primaryColor": "#6400CC",
"neutralColor": "#5A6578",
"themeMode": "LIGHT",
"textColorOnButton": "BLACK",
"backgroundColor": "#f9f9f9"
}
},
"creator": {
"id": "667c3e5bc3d87bccd2035dbc",
"userType": "MERCHANT",
"email": "jesse@hel.io",
"isDisabled": false,
"kycVerified": false,
"platformDetails": {
"platform": "HELIO"
}
}
},
"depositCustomer": {
"id": "6900a5ea1a21b23ddb1b1e65",
"deposit": "6900a5e3eaacfdbd980fd9fe",
"token": "22c3ff68-5f1b-48c7-b5c6-e0e7b0b91ab4",
"customerId": "test342",
"recipientPublicKeys": [
"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
]
},
"meta": {
"id": "6900a6c3165d5f39c92828cf",
"amount": "5880000",
"senderPK": "44NrPTjxg5anqkNLnnvKvBhPcrhyTAGecXjyR2LzpEap",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "DEPOSIT",
"customerDetails": {},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "2v4NPfeLFGokWYRBqjwwS7SLHrq1HnuKuriy3p5UDspABYoasJd2SqrZvMipsZP5U8dwEDeaL3NWigdjVrnKj43Y",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "5880000",
"totalAmountAsUSD": "5880000",
"tokenQuote": null,
"shopifyPaymentDetails": null,
"currency": {
"id": "63430c8348c610068bcdc482",
"name": "USD Coin",
"decimals": 6,
"order": 100,
"mintAddress": "4zMMC9srt5Ri5X14GAgXhaHii3GnPAEERYPJgZJDncDU",
"coinMarketCapId": 3408,
"symbol": "USDC",
"symbolPrefix": "$",
"type": "DIGITAL",
"iconUrl": "USDC.svg",
"features": [
"PAYMENT_PRICING",
"PAYMENT_RECIPIENT",
"SWAP",
"DEPOSIT_MERCHANT_RECIPIENT",
"DEPOSIT_CUSTOMER_CHECKOUT"
],
"orderingType": "NUMERIC",
"blockchain": {
"id": "63430c8348c610068bcdc43c",
"name": "SOL",
"symbol": "SOL",
"engine": {
"id": "63b574b9d07b6f6f21c13eb2",
"type": "SOL"
}
}
}
},
"paymentRequestCreatorId": "667c3e5bc3d87bccd2035dbc",
"paymentRequestName": "deposittest",
"paymentRequestCurrencySymbol": "USDC",
"paymentRequestBlockchain": "SOL",
"incomingTransactions": [
{
"hash": "2azE2LdA7JATeKEvt1aUiWJmFbKSZ9ZgJntXjdjniBrtDhrECj8ZB5BUai5pdbWR2gioMT5Go1cAQbKiB3gBsgrc",
"from": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"to": "6C6gzbxQ1rc5vEbnycWGmTNmLcDhavsNi6C5nAMWEfYn",
"value": "48102183",
"blockNumber": 437805392,
"timestamp": 1769440895,
"status": "success",
"gasUsed": "5000",
"gasPrice": "20000000000",
"nonce": 12
}
]
}
]{
"message": "Api key or token is invalid",
"code": 401
}Get Deposit Transactions by Customer Token
Get all transactions for a deposit by customer token
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The unique token associated with the deposit customer used to retrieve all related transactions.
Query Parameters
Your API key, which can be generated from the Helio Dashboard settings page.
Filter results by sender public key.
The end of the time range for filtering transactions, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS.sssZ).
The start of the time range for filtering transactions, in ISO 8601 format (YYYY-MM-DDTHH:MM:SS.sssZ).
Response
The deposit transactions for a specific customer were successfully retrieved
Merchant-defined unique identifier used to reference the customer in the merchant’s system.
Identifier of the deposit.
List of recipient public keys.
1 elementThe default on-ramp amount to prefill for the customer.
Prefills the email field in the MoonPay on-ramp widget for the customer.
Optional JSON string containing metadata.
Optional list of blockchain engines to provision deposit wallets for. When omitted, wallets are created for all supported engines (SOL, BTC, EVM, TRON, HYPERCORE, DOGE). Use this to limit which deposit addresses are generated — for example, pass ["EVM", "BTC"] to skip SOL if you handle Solana deposits yourself.
SOL, BTC, EVM, TRON, HYPERCORE, DOGE 